Page MenuHomePhabricator

Brainstorm Distros to Support
Closed, ResolvedPublic

Description

In this task we should decide which Linux distributions we are going to support in the documentation and how will take of which distro.

My initial list would be

  • Ubuntu/Mint/neon/Kubuntu
  • Debian
  • Fedora/Red Hat/CentOS
  • openSUSE
  • Arch
  • Gentoo

Although this is not important for the purely coding bit of the documentation, it is when we talk about installing stuff, such as the EFL framework.

Is there any other distro we should add? Is there any distro we should take out?

Who will take over each?

Also take a look at this document for advice on how to prepare a virtual machine for guide-writing.

pbrown66 created this task.Oct 16 2017, 4:47 AM
pbrown66 updated the task description. (Show Details)Oct 16 2017, 5:34 AM

Just maybe pointing out the obvious here, but on https://www.enlightenment.org/docs, you have a series of getting started series for all major distribution. If they are not up to date and working, this documentation should really be fixed obviously :-)

Just maybe pointing out the obvious here, but on https://www.enlightenment.org/docs, you have a series of getting started series for all major distribution. If they are not up to date and working, this documentation should really be fixed obviously :-)

In fact, that is the document that inspired this!

I checked and the openSUSE one is out of date (Factory does not exist any more, for example) and does not work as described. So I think we should probably review all of them just in case.

Sounds like everyone should pick one and we will be done quickly here.

I don't mind picking up the two or three (or four) I am familiar with, namely openSUSE, Ubuntu/Debian, & Fedora. I think I would struggle with Arch, but @ajwillia.ms said he was an Arch user, so there's that.

Oh and an additional idea, as this part of the doc is changing quite fast and his out of our control, I would expect it to be broken quite often. So maybe all the distro related page should have a link to, what to do if it doesn't work. That would direct to a place that explain how to contact developper to get help (could point simply to the IRC plugin, but also to the mailing list).

pbrown66 added a comment.EditedOct 16 2017, 11:20 PM

Yes, the "out of our control" factor bothers me too. Save revising these pages every time a distro pushes out a new version and a user complains that our guides are obsolete, I am not sure what else we can do. And at least you can schedule revisions for distros like Ubuntu that have a regular release schedule, but rolling releases will be especially problematic.

Then again, keeping documentation current is an ongoing job that is rarely complete, so this is just part of that.

I spent a chunk of yesterday installing EFL from source onto an Ubuntu 16.04.3 LTS virtual machine and took notes during the process, so unless @pbrown66 is particularly keen on taking that one on it would probably make sense for me to start there (because I'm effectively already done bar the shouting!)

Happy to take on any others, too; doesn't take long to spin up a new VM.

I have added a list to https://phab.enlightenment.org/w/doc_system/doc_structure/ that we can keep as the output of our discussion

pbrown66 added a comment.EditedOct 17 2017, 6:27 AM

unless @pbrown66 is particularly keen on taking that one on it would probably make sense for me to start there

Not at all. Please go for it @ghalfacree!

I'm going to finish a draft of the skeleton of the EFL install guide and put it up later today for you guys to edit and modify. In the end we should end up with a template for all EFL documents and it will only be a matter of filling in the blanks.

ghalfacree closed this task as Resolved.Jan 1 2018, 6:58 AM

Now complete.